ppmtopgm(1)

NAME
ppmtopgm - convert a portable pixmap into a portable graymap

SYNOPSIS
ppmtopgm [ppmfile]

DESCRIPTION
Reads a portable pixmap as input. Produces a portable graymap as output. The quantization formula used is .299 r + .587 g + .114 b.

Note that although there is a pgmtoppm program, it is not necessary for simple conversions from pgm to ppm, because any ppm program can read pgm (and pbm ) files automagically. pgmtoppm is for colorizing a pgm file. Also, see ppmtorgb3 for a different way of converting color to gray.

QUOTE
Cold-hearted orb that rules the night
Removes the colors from our sight
Red is gray, and yellow white
But we decide which is right
And which is a quantization error.

SEE ALSO
pgmtoppm(1), ppmtorgb3(1), rgb3toppm(1), ppm(5), pgm(5)

AUTHOR
Copyright (C) 1989 by Jef Poskanzer.